Subject: Summary CCL:parallel g98 on AMD?

From: Gerardo Andres Cisneros <[email-masked]>
Date: Wed, 3 Oct 2001 16:27:20 -0400 (EDT)

Hello

Yesterday I posted a question to CCL about running gaussian in parallel
using shared memory on a dual AMD/linux platform.

Thank you very much to all who replied.  I tried increasing the shmax
variable as per everyone's suggestion and it worked like a charm (see
below).

I've summarized the responses below (including my original question):

> Hello
>
>I've managed to compile and run g98 on an AMD platform using the blas
>libraries for intel (recomended by gaussian).  However this machine is
>dual processor but every time I try to run the same job in parallel I get
> the following error message:
>
>%g98 tim0_2pAMD
>shmget failed.: Invalid argument
>
>I have no problem running this job using a single processor.
>
>I haven't installed Linda on this machine but since it's dual processor I
>don't see the need for it, or should I?.
>
>Thanks in advance,
>
>Andres

###########

>From [email-masked] Wed Oct  3 16:14:22 2001
Date: Tue, 2 Oct 2001 21:25:35 +0200
From: Bernd Schubert <[email-masked]>

Hi,

have you increased your shmmax variable by doing an "echo "2147483648" 
>/proc/sys/kernel/shmmax"? If not you should have searched in the archives 
before asking this question.

I hope it helps you,

Bernd

##########

>From [email-masked] Wed Oct  3 16:14:26 2001
Date: Tue, 2 Oct 2001 19:35:34 +0000 (GMT)
From: Szilveszter Juhos <[email-masked]>
To: Gerardo Andres Cisneros <[email-masked]>
Subject: Re: CCL:parallel g98 on AMD?

Only guessing:

Seems you have problem with Sys V IPCS (Inter Process
Communication) routines (actually getting shared memory), ipcs (man
ipcs) can help to show you what is acually happenning. I suppose you
have a pre-compled kernel with both IPCS and SMP compiled in, but if they 
are missing that can cause problems. Or an incompatible glibc version that
use a different shmget (taht is very unlikely).

Hope it helps: 

Szilva

############

>From [email-masked] Wed Oct  3 16:14:43 2001
Date: Wed, 3 Oct 2001 09:48:36 +0200
From: Giorgio De Luca <[email-masked]>
To: Gerardo Andres Cisneros <[email-masked]>
Subject: R: CCL:parallel g98 on AMD?

Hi
 may be this is a memory problem. With linux or unix try this

echo 67108864 >/proc/sys/kernel/shmmax

may be you must put a dimension more great. SMP systems does'nt need Linda,
then for you it's ok
Giorgio

############

>From [email-masked] Wed Oct  3 16:14:53 2001
Date: Wed, 03 Oct 2001 08:57:41 +0100
From: Krzysztof Radacki <[email-masked]>
To: Gerardo Andres Cisneros <[email-masked]>, [email-masked]
Subject: Re: CCL:parallel g98 on AMD?

Hi,

it looks so that your computer does not see shared memmory in ammount
you requested with %MEM.
Have you tried to calculate some small job like H2 with %MEM=10MB
%PROC=2?
If it complete successfully nearly sure that that the reason and you
should add to your 
system-starting scripts some were how much memory should be shared.
In case of RedHat I sugesst to add as last line in /etc/rc.d/rc.local
f.e for 1Gb computer
echo 955306300 > /proc/sys/kernel/shmmax
It should solve your problem.

MfG
K.Radacki

###########

>From [email-masked] Wed Oct  3 16:15:03 2001
Date: Wed, 3 Oct 2001 19:45:50 +0000 (GMT)
From: Borislav Kovacevic <[email-masked]>
To: Gerardo Andres Cisneros <[email-masked]>
Subject: Re: CCL:parallel g98 on AMD?

 Hi Andreas,

Try with this: echo "500000000" > /proc/sys/kernel/shmmax 
You should do that as root. You can change the number (500000000) 
depending on amount of memory you have. 
 
                                      Boris
-- 
Borislav Kovacevic
Institut Rugjer Boskovic
Bijenicka 54, 10000 Zagreb
tel. 4561-???

##############

Thanks again to all who replied.

Andres

--
G. Andres Cisneros
Department of Chemistry 
Duke University
[email-masked]